DSTERF(3f)

NAME
DSTERF - all eigenvalues of a symmetric tridiagonal matrix using the Pal-Walker-Kahan variant of the QL or QR algorithm

SYNOPSIS

SUBROUTINE DSTERF(
    N, D, E, INFO )

INTEGER
    INFO, N

DOUBLE
    PRECISION D( * ), E( * )

PURPOSE
DSTERF computes all eigenvalues of a symmetric tridiagonal matrix using the Pal-Walker-Kahan variant of the QL or QR algorithm.

ARGUMENTS

N       (input) INTEGER
    The order of the matrix. N >= 0.

D       (input/output) DOUBLE PRECISION array, dimension (N)
    On entry, the n diagonal elements of the tridiagonal matrix. On exit, if INFO = 0, the eigenvalues in ascending order.

E       (input/output) DOUBLE PRECISION array, dimension (N-1)
    On entry, the (n-1) subdiagonal elements of the tridiagonal matrix. On exit, E has been destroyed.

INFO    (output) INTEGER
    = 0: successful exit
    < 0: if INFO = -i, the i-th argument had an illegal value
    > 0: the algorithm failed to find all of the eigenvalues in a total of 30*N iterations; if INFO = i, then i elements of E have not converged to zero.